Page MenuHomePhabricator

Notifications in Echo on Wikidata should display label as well as Q id
Open, Needs TriagePublic

Description

See image below

Q id should also be formatted with a label!

Event Timeline

Addshore raised the priority of this task from to Needs Triage.
Addshore updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 27 2015, 3:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore triaged this task as Low priority.Oct 27 2015, 3:07 PM
Addshore set Security to None.
Luke081515 added a subscriber: Luke081515.

A possible temporary hack: changing the local page

Your {{PLURAL:$4|edit on [[:$2]] has|edits on [[:$2]] have}} been {{GENDER:$1|reverted}} by [[$5|$1]]. $3

to

Your {{PLURAL:$4|edit on {{#switch:{{NAMESPACE:$2}}|{{ns:0}}={{Q|$2}}|{{ns:120}}={{P|{{PAGENAME:$2}}}}|#default=[[:$2]]}} has|edits on {{#switch:{{NAMESPACE:$2}}|{{ns:0}}={{Q|$2}}|{{ns:120}}={{P|{{PAGENAME:$2}}}}|#default=[[:$2]]}} have}} been {{GENDER:$1|reverted}} by [[$5|$1]]. $3

This would however require modifying pages for all languages and also other notifications such as the linked-page and thank-you ones.

Legoktm added a subscriber: Legoktm.Nov 4 2015, 6:29 PM

Should Wikibase be using a Linker hook or something for this? So it works in all of the UI?

Now that additional links were removed from the notifications, my idea is obsolete...

What about having an optional interface message for the titles which would by default be "$1" and on Wikidata could be changed to "{{label|$1}}"? (Otherwise some hooks are needed.)

Not sure if I need to make another task, but there are also other notifications showing a Q id.

Addshore moved this task from incoming to monitoring on the Wikidata board.May 11 2016, 2:04 PM

Yes, showing just the Q number is not very useful in most cases - it would be good to add label and perhaps description if these are available in the relevant language.

And yes, this should not just apply to revert notifications but to notifications on Wikidata more generally.

matej_suchanek renamed this task from Revert notifications in Echo on Wikidata should display label as well as Q id to Notifications in Echo on Wikidata should display label as well as Q id.Nov 29 2017, 8:33 AM
matej_suchanek awarded a token.
matej_suchanek added a subscriber: ChristianKl.
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 6 2018, 7:46 AM
Lydia_Pintscher raised the priority of this task from Low to Needs Triage.Dec 21 2018, 7:17 PM
Lydia_Pintscher moved this task from External to Needs Discussion/Analysis on the Growth-Team board.

I'm moving this back to incoming for both the growth and wikidata team as we both seem to have pushed this to the other one. We should figure it out because otherwise no-one does it ;-)

Lydia_Pintscher moved this task from monitoring to incoming on the Wikidata board.Dec 21 2018, 7:18 PM
Catrope added subscribers: MMiller_WMF, Catrope.

We discussed this with the team earlier this week.

On a technical note (from me): this would require some Echo work to allow Wikibase to plug in and change how titles are rendered in notifications. I'm not sure offhand how that would be done, maybe through a hook. But I'm assuming that Wikibase already has a utility to get the display label of a given QID in a given language, in which case the hardest part of this task is figuring out how to cleanly integrate this into Echo (or rather, let Wikibase hook into Echo) without making the code in Echo overly Wikibase-specific/dependent.

On a product/planning note (from @MMiller_WMF): How important is this in the scheme of things that are being worked on for Wikidata? Our team is pretty busy, so we want to figure out what to do here.

On a product/planning note (from @MMiller_WMF): How important is this in the scheme of things that are being worked on for Wikidata? Our team is pretty busy, so we want to figure out what to do here.

I think it's not super critical on Wikidata itself. People there are used to the IDs and it's mainly an annoyance to have to take an additional step to figure out what's behind the ID. The picture changes for me when we're also showing IDs in notifications we're showing to Wikipedians because they are not as familiar with them. I'm not sure if we do have this issue right now as I don't remember the exact texts. There is one for example where we notify an editor about an article they created being connected to an item. It will become much more of a problem later this year when we start working on allowing editing of Wikidata directly from within the other projects.

MMiller_WMF moved this task from Revisit to Q1 2019-20 on the Growth-Team board.Jan 14 2019, 11:30 PM

Thanks, @Lydia_Pintscher. I'm going to triage this to Growth's "Q4" column, which means we will re-triage it again in April, and consider it as a task for Q4. Please let us know if something changes on your end, or if you all get to this task first.

JTannerWMF moved this task from Q1 2019-20 to External on the Growth-Team board.
JTannerWMF added a subscriber: JTannerWMF.

We are moving this task to External on our board as we believe Wikidata should work on it in parallel with T223686

So this and T223686 are both slightly different.

This task requires work to go into echo first to allow extensions to plug in and optionally format page titles / change the way they are displayed, as described in T116762#4874473.
The other task requires echo to allow extensions to plug in and optionally format edit summaries / change the way they are displayed.

I'm not 100% sure if the Wikidata teams should be poking around in echo too much when another team technically owns it though?
But perhaps a discussion has happened elsewhere that decided that we should do the whole thing? (not sure if I missed something)

I think it's not super critical on Wikidata itself. People there are used to the IDs and it's mainly an annoyance to have to take an additional step to figure out what's behind the ID. The picture changes for me when we're also showing IDs in notifications we're showing to Wikipedians because they are not as familiar with them.

I guess technically these messages do appear on wikipedias and other sites as we have global notifications!

For example, if I scroll through my read notifications: